/******************************************************************************
;  *   	@ͺ				  : MC30P6250
;  *   	@             : 2021.08.04
;  *   	@˾/			  : SINOMCU-FAE
;  *   	@΢֧       : 2048615934
;  *   	@΢           : http://www.sinomcu.com/
;  *   	@Ȩ                 : 2021 SINOMCU˾Ȩ.
;  *----------------------ժҪ---------------------------------
;  *   	   	   	   	   	 ˣEVN1ѹ P15 
   	   	   	   	   	   	   	   	   	   	   	   	   	   	 
   	   	   	   	   	   	ˣVIR 0.5V
   	   	   	   	   	   	P15>3.5V  CMPOF=0  	   	P11
   	   	   	   	   	   	P15<3.5V  CMPOF=1      	 P11 
   	   	   	   	   	   	עͻִ    	
******************************************************************************/

#include "user.h"

/************************************************
;  *    @Function Name       : CLR_RAM
;  *    @Description         : ʼRAM
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/
void CLR_RAM(void)
{
__asm 
   	movai 0x40 
   	movra FSR
   	movai 48 
   	movra 0x07 
   	decr FSR
   	clrr INDF
   	djzr 0x07 
   	goto $ -3;
   	clrr 0x07 
__endasm;
}
/************************************************
;  *    @Function Name       : IO_Init
;  *    @Description         : 
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/
void IO_Init(void)
{
   	P1 = 0x00;
   	DDR1 = 0x20;//1:input 0:output  P15
   	PUCON = 0xff; //0:Effective 1:invalid
   	PDCON = 0xff; //0:Effective 1:invalid
   	ODCON = 0x00; //0:  1:©
}
/************************************************
;  *    @Function Name       : CMP_Init
;  *    @Description         : 
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/
void CMP_Init(void)
{
   	CMPCR0=0x90;   	   	   	//EVN1P15  P12    	   	  
   	CMPCR1=0x2A;   	   	   	//3.5V 	   	   
} 
/************************************************
;  *    @Function Name       : Sys_Init
;  *    @Description         : ϵͳʼ
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/
void Sys_Init(void)
{
   	GIE = 0;
   	CLR_RAM();
   	IO_Init();
   	CMP_Init();
   	GIE = 1;
}
//=================================================================================
void main(void)
{
   	Sys_Init();
   	while (1)
   	{
   	   	if(CMPOF)  	   	//EVN1<3.5V
   	   	{
   	   	   	P11D=1;
   	   	}
   	   	else 
        {
           	P11D=0;
        }

   	}
}

/************************************************
;  *    @Function Name       : Interrupt
;  *    @Description         : The interrupt function
;  *    @IN_Parameter          	 :
;  *    @Return parameter      	:
;  ***********************************************/
void int_isr(void) __interrupt
{
__asm 
   	movra _abuf
   	swapar _STATUS
   	movra _statusbuf
__endasm;

   	if ((T0IF) && (T0IE))
   	{
   	   	T0IF = 0;
   	}

   	if ((T1IF) && (T1IE))
   	{
   	   	T1IF = 0;
   	}
   	if ((CMPIE) && (CMPIF))
   	{
   	   	CMPIF = 0;
   	}
__asm 
   	swapar _statusbuf
   	movra _STATUS
   	swapr _abuf
   	swapar _abuf
__endasm;
}


/**************************** end of file *********************************************/